// some basic defines 
#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches 
{
	class MTL_DRVSNOW
	{
		units[] = {MTL_DRVSNOW};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
	class MTL_GNRSNOW
	{
		units[] = {MTL_GNRSNOW};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
	class MTL_COMSNOW
	{
		units[] = {MTL_COMSNOW};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
	class MTL_DRVDES
	{
		units[] = {MTL_DRVDES};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
	class MTL_GNRDES
	{
		units[] = {MTL_GNRDES};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
	class MTL_COMDES
	{
		units[] = {MTL_COMDES};
		weapons[] = {};
		requiredVersion = 1.01;
	};	
};

class CfgVehicles 
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierW:SoldierWB{};
	class MTL_DRVSNOW:soldierW

		{
		displayname="MTL Driver Snow";
		model="\MTL_CrewW\MTL_Crew1W";
		scope=2;
		cost=60000;
		accuracy=2.500000;
		sensitivity=1.25;
		nightVision=1;
		camouflage=0.750000;
		weapons[]={"SEBSnowM4GL","Throw","NVGoggles"};
		magazines[]={"M4","M4","M4","M4","M4","M4","Grenadelauncher","Grenadelauncher"};
		};
	class MTL_GNRSNOW:soldierW
		{
		model="\MTL_CrewW\MTL_Crew1W";
		displayname="MTL Gunner Snow";
		scope=2;
		cost=60000;
		accuracy=3.200000;
		sensitivity=1.25;
		nightVision=1;
		camouflage=0.750000;
		weapons[]={"M60","Throw","NVGoggles"};
		magazines[]={"M60","M60","M60","M60","Handgrenade","handgrenade"};
		};
	class OfficerWNight:soldierWB{};
	class MTL_COMSNOW:OfficerWNight
		{
		model="\MTL_CrewW\MTL_Crew1W";
		displayname="MTL Commander Snow";
		scope=2;
		cost=60000;
		accuracy=3.000000;
		sensitivity=1.25;
		nightVision=1;
		camouflage=0.750000;
		weapons[]={"SEBSnowM4GL","Throw","NVGoggles"};
		magazines[]={"M4","M4","M4","M4","Flare","Flare","Grenadelauncher","Grenadelauncher"};
		};
	class MTL_DRVDES:MTL_DRVSNOW

		{
		displayname="MTL Driver Desert";
		model="\MTL_CrewW\MTL_Crew1D";
		weapons[]={"SEBDesM4GL","Throw","NVGoggles"};
		magazines[]={"M4","M4","M4","M4","M4","M4","Grenadelauncher","Grenadelauncher"};
		};
	class MTL_GNRDES:MTL_GNRSNOW
		{
		model="\MTL_CrewW\MTL_Crew1D";
		displayname="MTL Gunner Desert";
		};
	class MTL_COMDES:MTL_COMSNOW
		{
		model="\MTL_CrewW\MTL_Crew1D";
		displayname="MTL Commander Desert";
		weapons[]={"SEBDesM4GL","Throw","NVGoggles"};
		magazines[]={"M4","M4","M4","M4","Flare","Flare","Grenadelauncher","Grenadelauncher"};
		};
};
};